New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Invariant Violation #185

Closed
TheDutchCoder opened this Issue Feb 12, 2018 · 13 comments

Comments

Projects
None yet
@TheDutchCoder

TheDutchCoder commented Feb 12, 2018

When importing this library I get an Invariant Violation:

import Interactable from 'react-native-interactable'

class ListItem extends React.component {
  render() {
    return (
      <Interactable.View horizontalOnly={true}>
        <View>
          <Text>Drag me!</Text>
        </View>
      </Interactable.View>
    )
  }
}

Screenshot:
image

@mafiusu

This comment has been minimized.

mafiusu commented Feb 16, 2018

I'm having the same issue after upgrading to the latest React Native version.

@lfalcao

This comment has been minimized.

lfalcao commented Feb 16, 2018

It's working here...

  • react 16.2.0
  • react-native 0.52.2
  • react-native-interactable 0.1.10
import React from 'react'
import {
  View,
  Text
} from 'react-native'
import Interactable from 'react-native-interactable'

export class Item extends React.Component {
  render() {
    return (
      <Interactable.View horizontalOnly={true}>
        <View>
          <Text>Drag me!</Text>
        </View>
      </Interactable.View>
    )
  }
}
@TheDutchCoder

This comment has been minimized.

TheDutchCoder commented Feb 16, 2018

@lfalcao

This comment has been minimized.

lfalcao commented Feb 18, 2018

I can reproduce this only when I unlink the native library. So try to unlink and link to see if it works...

Tested again and working with:

  • react-native@0.53.0
  • react-native@0.54.0-rc.3
@ivanesi

This comment has been minimized.

ivanesi commented Feb 23, 2018

the same
react-native: 0.53.2
build for android

@phillip055

This comment has been minimized.

phillip055 commented Feb 23, 2018

+1

1 similar comment
@joaom182

This comment has been minimized.

joaom182 commented Feb 25, 2018

+1

@phillip055

This comment has been minimized.

phillip055 commented Mar 15, 2018

Any update?

@mhayta

This comment has been minimized.

mhayta commented Mar 26, 2018

+1

@isaachinman

This comment has been minimized.

isaachinman commented Apr 5, 2018

Just encountered this myself. Any workaround?

@dekemega

This comment has been minimized.

dekemega commented Apr 14, 2018

+1

@seanyusa

This comment has been minimized.

seanyusa commented Apr 23, 2018

I had this issue just now and found out that it was erroring because I forgot running pod install in the ios directory

@Inbal-Tish

This comment has been minimized.

Collaborator

Inbal-Tish commented Nov 5, 2018

Please make sure to link native properly. In any case I am closing the issue as a part of an effort to cleanup and revive the project. If this issue persists after v1.0.0, you are more than welcome to reintroduce the issue.

Thanks for your contribution.

@Inbal-Tish Inbal-Tish closed this Nov 5, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment